## radare2 0.8.1

=== Makefile ===
include config-user.mk
include global.mk

ifneq ($(shell bsdtar -h 2>/dev/null|grep bsdtar),)
TAR=bsdtar czvf
else
TAR=tar -czvf
endif
PWD=$(shell pwd)
REMOTE=radare.org:/srv/http/radareorg/get/beta

all: plugins.cfg
	${MAKE} libr
	${MAKE} binr

plugins.cfg:
	@if [ ! -e config-user.mk ]; then echo ; \
	echo "  Please, run ./configure first" ; echo ; exit 1 ; fi
	./configure-plugins

gitpush:
	sh mk/gitpush.sh

libr:
	cd libr && ${MAKE} all

binr:
	cd binr && ${MAKE} all

w32:
	make clean
	# TODO: add support for debian
	./configure --without-ssl --without-gmp --with-compiler=i486-mingw32-gcc --with-ostype=windows --host=i486-unknown-windows
	make

w32dist:
	rm -rf radare2-w32-${VERSION} w32dist
	mkdir w32dist
	for a in `find binr libr | grep -e exe$$ -e dll$$`; do cp $$a w32dist ; done
	rm w32dist/plugin.dll
	mv w32dist radare2-w32-${VERSION}
	zip -r radare2-w32-${VERSION}.zip radare2-w32-${VERSION}

w32beta: w32dist
	scp radare2-w32-${VERSION}.zip ${REMOTE}
	cd r2-bindings ; $(MAKE) w32dist
	scp radare2-bindings-w32-${VERSION}.zip ${REMOTE}

clean:
	cd libr && ${MAKE} clean
	cd binr && ${MAKE} clean

mrproper:
	cd libr && ${MAKE} mrproper
	cd binr && ${MAKE} mrproper
	rm -f config-user.mk plugins.cfg libr/config.h libr/include/r_userconf.h libr/config.mk
	rm -f pkgcfg/*.pc

mrpopper:
	@echo 8====================D

pkgcfg:
	cd libr && ${MAKE} pkgcfg

install-man:
	mkdir -p ${MDR}/man1
	for a in man/*.1 ; do ${INSTALL_MAN} $$a ${MDR}/man1 ; done
	cd ${MDR}/man1 && ln -fs radare2.1 r2.1

install-man-symlink:
	mkdir -p ${MDR}/man1
	cd man && for a in *.1 ; do ln -fs ${PWD}/man/$$a ${MDR}/man1/$$a ; done
	cd ${MDR}/man1 && ln -fs radare2.1 r2.1

install-doc:
	${INSTALL_DIR} ${PFX}/share/doc/radare2
	for a in doc/* ; do ${INSTALL_DATA} $$a ${PFX}/share/doc/radare2 ; done

install-doc-symlink:
	${INSTALL_DIR} ${PFX}/share/doc/radare2
	cd doc ; for a in * ; do ln -fs ${PWD}/$$a ${PFX}/share/doc/radare2 ; done

install: install-doc install-man
	cd libr && ${MAKE} install PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
	cd binr && ${MAKE} install PREFIX=${PREFIX} DESTDIR=${DESTDIR}

install-pkgconfig-symlink:
	@${INSTALL_DIR} ${DESTDIR}/${LIBDIR}/pkgconfig
	cd pkgcfg ; for a in *.pc ; do ln -fs $${PWD}/$$a ${DESTDIR}/${LIBDIR}/pkgconfig/$$a ; done

symstall install-symlink: install-man-symlink install-doc-symlink install-pkgconfig-symlink
	cd libr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
	cd binr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}

deinstall uninstall:
	cd libr && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
	cd binr && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
	@echo
	@echo "Run 'make purge' to also remove installed files from previous versions of r2"
	@echo

purge:
	rm -rf ${DESTDIR}/${LIBDIR}/libr_*
	rm -rf ${DESTDIR}/${LIBDIR}/radare2
	rm -rf ${DESTDIR}/${INCLUDEDIR}/libr
	cd man ; for a in *.1 ; do rm -f ${MDR}/man1/$$a ; done
	rm -f ${MDR}/man1/r2.1

beta: dist r2-bindings-dist
	scp ../radare2-${VERSION}.tar.gz ${REMOTE}
	scp r2-bindings-${VERSION}.tar.gz ${REMOTE}

r2-bindings-dist:
	cd r2-bindings && ${MAKE} dist

dist:
	VERSION=${VERSION} ; \
	FILES=`hg st -mc .| cut -c 3-|sed -e s,^,radare2-${VERSION}/, | grep -v r2-bindings | grep -v '/\.'` ; \
	cd .. && mv radare2 radare2-${VERSION} && \
	${TAR} radare2-${VERSION}.tar.gz $${FILES} ;\
	mv radare2-${VERSION} radare2

pub:
	scp ../radare2-${VERSION}.tar.gz radare.org:/srv/http/radareorg/get

shot:
	DATE=`date '+%Y%m%d'` ; \
	FILES=`hg status -mc|cut -c 3-|sed -e s,^,radare2-$${DATE}/,`; \
	cd .. && mv radare2 radare2-$${DATE} && \
	${TAR} radare2-$${DATE}.tar.gz $${FILES} ;\
	mv radare2-$${DATE} radare2 && \
	scp radare2-$${DATE}.tar.gz radare.org:/srv/http/radareorg/get/shot

include ${MKPLUGINS}

.PHONY: all clean mrproper install symstall uninstall deinstall dist shot pkgcfg r2-bindings r2-bindings-dist libr binr install-man

=== binr/Makefile ===
include ../config-user.mk
PWD=$(shell pwd)

.PHONY: all clean install install-symlink deinstall uninstall mrproper

PFX=${DESTDIR}/${PREFIX}
BFX=${DESTDIR}/${BINDIR}
LFX=${DESTDIR}/${LIBDIR}

BINS=rax2 rasm2 rabin2 rahash2 radiff2 radare2 rafind2 rarc2 ranal2 rasc2
#rsc2

all:
	@for a in ${BINS} ; do (cd $$a && ${MAKE} all) || exit 1; done

install:
	mkdir -p ${BFX}
	pwd
	for a in ${BINS} ; do ${INSTALL_PROGRAM} $$a/$$a ${BFX}/$$a ; done
	cp -f rarc2/rarc2 rarc2/rarc2-tool ${BFX}
	# shortcut
	-cd ${BFX} && rm -f r2 ; ln -fs radare2 r2

install-rsc2:
	mkdir -p ${LFX}/radare2/bin
	cp -f rsc2/scripts/* ${LFX}/radare2/bin
	chmod +x ${LFX}/radare2/bin/*

symstall-rsc2:
	mkdir -p ${LFX}/radare2/bin
	chmod +x rsc2/scripts/*
	cd rsc2/scripts ; for a in * ; do ln -fs ${PWD}/rsc2/scripts/$$a ${LFX}/radare2/bin/$$a ; done

symstall install-symlink:
	mkdir -p ${BFX}
	for a in ${BINS} ; do ln -fs ${PWD}/$$a/$$a ${BFX}/$$a ; done
	ln -fs ${PWD}/rarc2/rarc2-tool ${BFX}/rarc2-tool
	-ln -fs ${PFX}/bin/radare2 ${BFX}/r2

deinstall uninstall:
	for a in ${BINS} ; do rm -f ${BFX}/$$a ; done
	rm -f ${BFX}/rarc2-tool
	-rm -f ${BFX}/r2

clean:
	@for a in ${BINS} ; do (cd $$a && ${MAKE} clean); done

mrproper:
	@for a in ${BINS} ; do (cd $$a && ${MAKE} mrproper); done

=== libr/Makefile ===
include ../global.mk
include config.mk

PREFIX?=${PWD}/../prefix
PFX=${DESTDIR}/${PREFIX}
LFX=${DESTDIR}/${LIBDIR}
IFX=${DESTDIR}/${INCLUDEDIR}
PWD=`pwd`

# Libraries
LIBLIST=util socket cons line lib io lang flags bin hash config syscall cmd
LIBLIST+=reg asm diff anal print parse search bp sign debug fs core
#DEPRECATED APIS : LIBLIST+=th crypto
# sysproxy ... common wat du?

all: libs

libs:
	@for lib in ${LIBLIST}; do \
		cd $${lib} && ${MAKE} all || exit 1 ; cd .. ; done
	@echo Build done for: ${LIBLIST}

pkgcfg:
	@for lib in ${LIBLIST}; do ( cd $${lib} && ${MAKE} pkgcfg ); done
	# XXX
	cd asm && ${MAKE} pkgcfg NAME=libr DEPS="r_`echo ${LIBLIST}|sed -e 's, , r_,g'`"
	# TODO: Magically generate libr.pc.acr here using LIBLIST and so :)

install-pkgconfig:
	@${INSTALL_DIR} ${LFX}/pkgconfig
	for a in ../pkgcfg/*.pc ; do ${INSTALL_DATA} $$a ${LFX}/pkgconfig ; done

install-includes:
	@${INSTALL_DIR} ${IFX}/libr
	(cd include && for a in *.h ; do ${INSTALL_DATA} $$a ${IFX}/libr ; done)

install-symlink:
	mkdir -p ${PFX}/bin
	mkdir -p ${IFX}
	mkdir -p ${LFX}/pkgconfig
	mkdir -p ${LFX}/radare2/${VERSION}
	rm -rf ${IFX}/libr && ln -fs ${PWD}/include ${IFX}/libr
	cd ../pkgcfg && for a in *.pc ; do \
		if [ -e ${PWD}/../pkgcfg/$${a} ] ; then \
			ln -fs ${PWD}/../pkgcfg/$${a} ${LFX}/pkgconfig/$${a} ; \
		fi ; \
	done
	for a in ${LIBLIST} ; do \
		ln -fs ${PWD}/$${a}/libr_$${a}.${EXT_SO} ${LFX}/libr_$${a}.${EXT_SO} ; \
		ln -fs ${PWD}/$${a}/libr_$${a}.${EXT_SO} ${LFX}/libr_$${a}.${EXT_SO}.${LIBVERSION} ; \
		ln -fs ${PWD}/$${a}/libr_$${a}.${EXT_AR} ${LFX}/libr_$${a}.${EXT_AR} ; \
		for b in $${a}/p/*.${EXT_SO} ; do \
			if [ -e ${PWD}/$${b} ] ; then \
				ln -fs ${PWD}/$${b} ${LFX}/radare2/${VERSION}/ ; \
			fi ; \
		done ; \
	done

install: install-includes install-pkgconfig
	# TODO :Use INSTALL_DATA_DIR instead of mkdir
	# libraries
	@${INSTALL_DIR} ${LFX}
	@for a in `find * -type f | grep -e '\.${EXT_SO}$$' | grep -v lib/t | grep lib | grep -v /p/` ; do \
	  b=`echo $$a|cut -d / -f 2`; \
	  echo " ${LFX}/$$b.${LIBVERSION}"; \
	  ${INSTALL_LIB} $$a ${LFX}/$$b.${LIBVERSION} ; \
	  ( cd ${LFX} ; ln -fs $$b.${LIBVERSION} $$b.0 ; ln -fs $$b.0 $$b ); \
	done
	# object archives
	@for a in `find * -type f | grep -e '\.a$$' | grep -v fs/p` ; do \
	  echo " ${LFX}/$$a"; ${INSTALL_DATA} $$a ${LFX} ; done
	# plugins
	@${INSTALL_DIR} ${LFX}/radare2/${VERSION}
	@for a in `find */p -perm -u+x -type f | grep -v exe | grep -v dll | grep ${EXT_SO}`; \
	  do echo " ${LFX}/radare2/${VERSION}/$$a"; \
	${INSTALL_DATA} $$a ${LFX}/radare2/${VERSION} ; done
	@echo "lang/p/radare.* ${DESTDIR}/${PFX}/${LIBDIR}/radare2/${VERSION}"
	${INSTALL_DATA} lang/p/radare.* ${LFX}/radare2/${VERSION}

deinstall uninstall:
	# libraries
	-@for a in `find * | grep -e '\.${EXT_SO}$$' | grep -v 'lib/t' | grep lib` ; do \
	a=`echo $$a | awk -F / '{ print $$NF; }'`; \
	echo ${LFX}/$$a ; rm -f ${LFX}/$$a ; done
	# object archives
	-@for a in `find * | grep -e '\.a$$'` ; do \
	a=`echo $$a | awk -F / '{ print $$NF; }'`; \
	echo ${LFX}/$$a ; rm -f ${LFX}/$$a ; done
	# includes
	-if [ -h ${IFX}/libr ]; then \
		rm -f ${IFX}/libr ; \
	else \
		(cd include && for a in * ; do rm -f ${IFX}/libr/$$a ; done) ; \
	fi
	# programs
	-@for a in `find */t -perm -u+x -type f | grep 2`; do \
	a=`echo $$a|awk -F / '{ print $$NF; }'`; \
	echo ${PFX}/bin/$$a ; rm -f ${PFX}/bin/$$a ; done
	# plugins
	-@for a in `find */p -perm -u+x -type f`; do \
	a="${LFX}/radare2/${VERSION}/`echo $$a|awk -F / '{ print $$NF; }'`"; \
	echo $$a ; rm -f $$a ; done
	rm -rf ${LFX}/radare2/${VERSION}
	rm -f ${LFX}/pkgconfig/libr.pc
	rm -f ${LFX}/pkgconfig/r_*.pc
	# test programs
	rm -rf ${PFX}/bin/libr-test
	# TODO: use for a in LIBLIST (like in binr/Makefile)
	rm -rf ${IFX}/libr
	rm -rf ${LFX}/libr_*.so.${LIBVERSION}
	rm -rf ${LFX}/libr_*.so.0
	rm -rf ${LFX}/libr_*.so
	rm -rf ${LFX}/libr_*.a
	rm -rf ${LFX}/libr2.so*
	rm -rf ${LFX}/libr2.a
	rm -rf ${LFX}/libr.so*
	rm -rf ${LFX}/libr.a
	rm -rf ${DESTDIR}${DATADIR}/share/doc/radare2
	@echo libr aka radare2 has been uninstalled from PREFIX=${PFX}

clean:
	for lib in ${LIBLIST}; do ( cd $${lib} && ${MAKE} clean ); done

mrproper:
	for lib in ${LIBLIST}; do ( cd $${lib} && ${MAKE} mrproper ); done

sloc:
	${MAKE} -C .. sloc SLOCDIR=libr

.PHONY: sloc mrproper clean all pkgcfg install deinstall uninstall libr install-symlink

=== maemo/Makefile ===
# Example custom makefile for creating .deb without using dpkg tools.
#
# Author: Tim Wegener <twegener@madabar.com>
#
# This requires deb_hand.mak

# Sources:
# SOURCE_DIR - directory containing files to be packaged
# ICON_SOURCE - 26x26 icon file for maemo
# description.txt - description with summary on first line
# preinst, postinst, prerm, postrm - optional control shell scripts

# These fields are used to build the control file.
PACKAGE = radare2
VERSION = 0.8.1
ARCH = armel
SECTION = user/shell
PRIORITY = optional
MAINTAINER = pancake <pancake@nopcode.org>
# todo: For python2.4 it also needs python2.4-elementtree and python2.4-sqlite
DEPENDS =
# todo: Recommends
PACKAGE_DIR=${PWD}

SOURCE_DIR = .
ICON_SOURCE =
#ICON_SOURCE =${SOURCE_DIR}/maemo_deb/exaile26.png
PRG=../../build/default/
PRG=../../
SPRG=../../

all:
	sudo rm -rf control data
	${MAKE} clean
	${MAKE} control
	${MAKE} deb

${PACKAGE_DIR}/data: ${SOURCE_DIR}
	echo $@
	sudo rm -rf data
	mkdir -p $@
	-cd .. ; fakeroot ${MAKE} install DESTDIR=$@ INSTALL_PROGRAM=cp
	sudo /usr/sbin/chown -R 0:0 $@/*
	ls -al data/usr/bin/
	mkdir -p control
	printf "S 15 com.nokia.maemo H 40 " > control/digisums
	printf `sha1sum $@/../data/usr/bin/radare2` >> control/digisums
	echo "R 25 usr/bin/radare2" >> control/digisums

jiji:
	rm -rf $@
	mkdir $@
	cd .. ; ${MAKE} install INSTALL_PROGRAM=cp DESTDIR=maemo/$@

jajaj:
	mkdir -p $@/usr/bin $@/usr/share/doc/radare $@/usr/share/radare/ $@/usr/libexec/gradare $@/usr/share/radare/rsc $@/usr/lib $@/usr/share/radare/magic
	#radare
	-cp ${PRG}/src/radiff/radiff $@/usr/bin/radiff
	#-cp ${PRG}/src/rsc/pool/bindiff $@/usr/bin/bindiff
	-cp ${PRG}/src/radare $@/usr/bin/radare
	-cp ${PRG}/src/rabin/rabin $@/usr/bin/rabin
	-cp ${PRG}/src/rasm/rasm $@/usr/bin/rasm
	-cp ${PRG}/src/rasc/rasc $@/usr/bin/rasc
	-cp ${PRG}/src/arch/arm/aasm/armasm $@/usr/bin/armasm
	-cp ${PRG}/src/rsc/rsc $@/usr/bin/rsc
	-cp ${PRG}/src/rfile $@/usr/bin/rfile
	-cp ${PRG}/src/rahash/rahash $@/usr/bin/rahash
	-cp ${PRG}/src/rax $@/usr/bin/rax
	-cp ${PRG}/src/xrefs $@/usr/bin/xrefs
	-cp ${PRG}/src/javasm/javasm $@/usr/bin/javasm
	-cp ${PRG}/gui/gradare $@/usr/bin/gradare
	-cp /usr/bin/gtkdialog $@/usr/bin/gtkdialog
	#-cp /usr/lib/libvte.so.4 $@/usr/lib
	mkdir -p $@/usr/share/radare/gradare
	-cp -rf ${SPRG}/gui/grsc/* $@/usr/share/radare/gradare
	-cp -rf ${SPRG}/src/rsc/pool/* $@/usr/share/radare/rsc
	-cp -rf ${SPRG}/magic/* $@/usr/share/radare/magic/
	-cp -rf ${SPRG}/doc/* $@/usr/share/doc/radare/
	-chmod +x $@/usr/bin/*
	mkdir -p $@/usr/share/applications/hildon/
	-cp ${SPRG}/gui/gradare.desktop $@/usr/share/applications/hildon/

include deb_hand.mak

=== binr/rabin2/Makefile ===
BIN=rabin2
BINDEPS=r_bin r_cons r_util r_lib r_flags

include ../binr.mk

ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS}
endif

=== binr/radare2/Makefile ===
BIN=radare2
BINDEPS=r_core r_parse r_search r_cons r_lib r_config r_diff
BINDEPS+=r_bin r_debug r_anal r_reg r_bp r_io r_cmd r_fs
BINDEPS+=r_sign r_print r_lang r_asm r_syscall r_hash r_line r_socket r_flags r_util

include ../binr.mk

sign:
	ldid -Sradare2.xml radare2

osxsign:
	${CC} radare2.o ${CFLAGS} ${LDFLAGS} -sectcreate __TEXT __info_plist ./Info.plist -o radare2 -framework Security -framework CoreFoundation
	codesign -dvvv -s radare2 ./radare2
	sudo chown root:procmod radare2
	sudo chmod g+s radare2

ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS} -lm
LDFLAGS+=../../libr/fs/p/grub/libgrubfs.a
ifeq ($(HAVE_LIB_GMP),1)
LDFLAGS+=-lgmp
endif
endif

ifeq ($(uname),OpenBSD)
LDFLAGS+=-pthread
endif

ifeq (${HAVE_LIB_SSL},1)
CFLAGS+=${SSL_CFLAGS}
LDFLAGS+=${SSL_LDFLAGS}
endif

=== binr/radiff2/Makefile ===
BIN=radiff2
BINDEPS=r_core r_diff r_config r_parse r_lib r_cons r_search r_anal r_reg
BINDEPS+=r_bin r_flags r_debug r_bp r_io r_cmd r_fs
BINDEPS+=r_sign r_print r_lang r_asm r_syscall r_hash r_line r_socket r_util

include ../binr.mk

ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS} -lm
LDFLAGS+=../../libr/fs/p/grub/libgrubfs.a
ifeq ($(HAVE_LIB_GMP),1)
LDFLAGS+=-lgmp
endif
endif

ifeq (${HAVE_LIB_SSL},1)
CFLAGS+=${SSL_CFLAGS}
LDFLAGS+=${SSL_LDFLAGS}
endif

=== binr/rafind2/Makefile ===
BIN=rafind2
BINDEPS=r_search r_io r_print r_lib r_asm r_anal r_reg r_cons r_util r_syscall r_diff
BINDEPS+=r_socket

include ../binr.mk

ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS} -lm
LDFLAGS+=../../libr/fs/p/grub/libgrubfs.a
ifeq ($(HAVE_LIB_GMP),1)
LDFLAGS+=-lgmp
endif

endif
ifeq (${HAVE_LIB_SSL},1)
CFLAGS+=${SSL_CFLAGS}
LDFLAGS+=${SSL_LDFLAGS}
endif

=== binr/rahash2/Makefile ===
BIN=rahash2
BINDEPS=r_hash r_util

include ../binr.mk

=== binr/ranal2/Makefile ===
BIN=ranal2
BINDEPS=r_anal r_lib r_reg r_util r_syscall r_diff

include ../binr.mk

ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS} -lm -lpthread
ifeq ($(HAVE_LIB_GMP),1)
LDFLAGS+=-lgmp
endif
endif

=== binr/rapatch2/Makefile ===
OBJ=rapatch.o
BIN=rapatch2${EXT_EXE}

CFLAGS+=-I../../libr/include
LDFLAGS+=-L../../libr/core -lr_core
LDFLAGS+=-L../../libr/util -lr_util
LDFLAGS+=-L../../libr/cons -lr_cons

all: ${BIN}

${BIN}: ${OBJ}
	${CC} -o ${BIN} ${OBJ} ${CFLAGS} ${LDFLAGS}

test: all
	cp /bin/ls ls
	./a.out ls patch.txt
	./ls

clean:
	rm -f a.out RaPatcher RaPatcher.c out.* ls

=== binr/rarc2/Makefile ===
include ../../config-user.mk
include ../../libr/config.mk

CFLAGS+=-g -Wall
PFX=${DESTDIR}${PREFIX}

OBJS=rarc2.o emit_x86.o emit_x64.o emit_arm.o out.o

all: config.h rarc2${EXT_EXE}

config.h:
	cp -f config.def.h config.h

rarc2${EXT_EXE}: ${OBJS}
	${CC} ${LDFLAGS} -I. ${OBJS} -o rarc2${EXT_EXE}

test:
	# only works with att mode
	./rarc2 t/hello.r > t/hello.S
	gcc t/hello.S -o t/hello
#	cat t/hello.S
	t/hello
	#spp test.r | ./rarc2
	#./rarc2 test.r

install:
	chmod +x rarc2
	mkdir -p ${PFX}/bin
	cp rarc2 ${PFX}/bin
	chmod +x rarc2-tool
	cp rarc2-tool ${PFX}/bin

install-symlink:
	mkdir -p ${PFX}/bin
	ln -fs ${PWD}/rarc2 ${PFX}/bin/rarc2
	ln -fs ${PWD}/rarc2-tool ${PFX}/bin/rarc2-tool

deinstall uninstall:
	rm -f ${PFX}/bin/rarc2 ${PFX}/bin/rarc2-tool

clean:
	cd t && ${MAKE} clean
	-rm -f rarc2 rarc2.o out.o emit*.o

mrproper: clean
	-rm -f config.h

.PHONY: all clean install install-symlink deinstall uninstall test mrproper

=== debian/changelog ===
radare2 (0.8.1-1) unstable; urgency=low

  * new upstream release
  * remove all patches (included upstream)
  * switch from cdbs to debhelper
  * update Debian Standards Version to 3.9.2
  * make libradare2 multi-arch capable

 -- Sebastian Reichel <sre@debian.org>  Sun, 24 Jul 2011 15:06:17 +0200

radare2 (0.7-3) unstable; urgency=low

  * update the fcntl patch
  * new patch: honor --without-debugger to fix build on unsupported
    architectures
  * new patch: add kfreebsd support

 -- Sebastian Reichel <sre@debian.org>  Wed, 13 Apr 2011 11:04:00 +0200

radare2 (0.7-2) unstable; urgency=low

  * disable debugger on all arches except i386, amd64, arm
    to make them building
  * new patch: drx_add / drx_del should not be exported
  * new patch: add fcntl.h to fix build error on kfreebsd / hurd
  * new patch: fix cflags to build some failing plugins
  * Closes: #621412

 -- Sebastian Reichel <sre@debian.org>  Mon, 04 Apr 2011 15:27:16 +0200

radare2 (0.7-1) unstable; urgency=low

  * New upstream release

 -- Sebastian Reichel <sre@debian.org>  Wed, 09 Mar 2011 00:54:02 +0100

radare2 (0.6-1) unstable; urgency=low

  * Initial Upload to Debian (Closes: #573345)

 -- Sebastian Reichel <sre@debian.org>  Mon, 07 Feb 2011 13:00:47 +0100

=== debian/control ===
Source: radare2
Section: devel
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               libgmp3-dev,
               libmagic-dev,
Standards-Version: 3.9.2
Homepage: http://www.radare.org
Vcs-Browser: http://git.debian.org/?p=collab-maint/radare2.git
Vcs-Git: git://git.debian.org/collab-maint/radare2.git

Package: radare2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: free and advanced command line hexadecimal editor
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
 for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extracter
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.

Package: radare2-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, radare2 (= ${binary:Version})
Description: free and advanced command line hexadecimal editor (debug)
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
 for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extracter
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package provides the debug symbols for the applications from the
 radare2 suite.

Package: libradare2-0.8
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: libraries from the radare2 suite
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
 for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extracter
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package provides the libraries from radare2.

Package: libradare2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libradare2-0.8 (= ${binary:Version})
Description: devel files from the radare2 suite
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
 for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extracter
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package provides the devel files from radare2.

Package: libradare2-0.8-dbg
Multi-Arch: same
Section: debug
Architecture: any
Depends: ${misc:Depends}, libradare2-0.8
Description: debug symbols for libraries from radare suite
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (radare) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
 for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extracter
 supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
 hash utility called rahash.
 .
 This package provides the debug symbols for the libraries of radare2.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEBUG_SUPPORT=0
EXTRA_FLAGS=

ifeq (arm,$(DEB_HOST_ARCH_CPU))
DEBUG_SUPPORT=1
endif

ifeq (amd64,$(DEB_HOST_ARCH_CPU))
DEBUG_SUPPORT=1
endif

ifeq (i386,$(DEB_HOST_ARCH_CPU))
DEBUG_SUPPORT=1
endif

ifeq (0,$(DEBUG_SUPPORT))
EXTRA_FLAGS+=--without-debugger
endif

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) ${EXTRA_FLAGS}

override_dh_makeshlibs:
	dh_makeshlibs --exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/radare2/

override_dh_strip:
	dh_strip -pradare2 --dbg-package=radare2-dbg
	dh_strip -plibradare2-0.8 --dbg-package=libradare2-0.8-dbg

override_dh_auto_clean:
	touch config-user.mk libr/config.mk
	dh_auto_clean
	rm config-user.mk libr/config.mk

## radare2 0.8.8

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,21 @@
 binr:
 	cd binr && ${MAKE} all
 
+R=$(shell hg tags|head -n2 | tail -n1|awk '{print $$2}' |cut -d : -f 1)
+T=$(shell hg tip|grep changeset:|cut -d : -f 2)
+.PHONY: chlog
+chlog:
+	@hg log -v -r tip:$R > chlog
+	@echo "-=== release ${VERSION} ===-"
+	@echo "hg tag -r $T ${VERSION}"
+	@printf "last commit:   "
+	@hg log -r tip | grep date: |cut -d : -f 2- |sed -e 's,^\ *,,g'
+	@printf "oldest commit: "
+	@hg log -r $R | grep date: |cut -d : -f 2- |sed -e 's,^\ *,,g'
+	@printf "Commits:  "
+	@grep changeset: chlog |wc -l
+	@grep -v : chlog | grep -v '^$$'
+
 w32:
 	make clean
 	# TODO: add support for debian
@@ -36,9 +51,15 @@
 w32dist:
 	rm -rf radare2-w32-${VERSION} w32dist
 	mkdir w32dist
-	for a in `find binr libr | grep -e exe$$ -e dll$$`; do cp $$a w32dist ; done
+	for a in `find libr | grep -e dll$$`; do cp $$a w32dist ; done
+	for a in `find binr | grep -e exe$$`; do cp $$a w32dist ; done
 	rm w32dist/plugin.dll
+	mkdir -p w32dist/radare2/${VERSION}/syscall
+	cp -f libr/syscall/d/*.sdb w32dist/radare2/${VERSION}/syscall
+	mkdir -p w32dist/share/doc/radare2
+	cp -f doc/fortunes w32dist/share/doc/radare2
 	mv w32dist radare2-w32-${VERSION}
+	rm -f radare2-w32-${VERSION}.zip 
 	zip -r radare2-w32-${VERSION}.zip radare2-w32-${VERSION}
 
 w32beta: w32dist
@@ -83,6 +104,8 @@
 install: install-doc install-man
 	cd libr && ${MAKE} install PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} install PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	cd libr/syscall/d ; ${MAKE} install PREFIX=${PREFIX} LIBDIR=${LIBDIR} DESTDIR=${DESTDIR}
+	cd libr/magic ; ${MAKE} install-data LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 
 install-pkgconfig-symlink:
 	@${INSTALL_DIR} ${DESTDIR}/${LIBDIR}/pkgconfig
@@ -91,10 +114,13 @@
 symstall install-symlink: install-man-symlink install-doc-symlink install-pkgconfig-symlink
 	cd libr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	cd libr/syscall/d ; ${MAKE} install-symlink LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	cd libr/magic ; ${MAKE} install-symlink-data LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 
 deinstall uninstall:
 	cd libr && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	cd libr/syscall/d && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR} LIBDIR=${LIBDIR}
 	@echo
 	@echo "Run 'make purge' to also remove installed files from previous versions of r2"
 	@echo
@@ -110,12 +136,15 @@
 	scp ../radare2-${VERSION}.tar.gz ${REMOTE}
 	scp r2-bindings-${VERSION}.tar.gz ${REMOTE}
 
+version:
+	@echo ${VERSION}
+
 r2-bindings-dist:
 	cd r2-bindings && ${MAKE} dist
 
 dist:
 	VERSION=${VERSION} ; \
-	FILES=`hg st -mc .| cut -c 3-|sed -e s,^,radare2-${VERSION}/, | grep -v r2-bindings | grep -v '/\.'` ; \
+	FILES=`hg manifest | grep -v r2-bindings | sed -e s,^,radare2-${VERSION}/,` ; \
 	cd .. && mv radare2 radare2-${VERSION} && \
 	${TAR} radare2-${VERSION}.tar.gz $${FILES} ;\
 	mv radare2-${VERSION} radare2
@@ -125,7 +154,7 @@
 
 shot:
 	DATE=`date '+%Y%m%d'` ; \
-	FILES=`hg status -mc|cut -c 3-|sed -e s,^,radare2-$${DATE}/,`; \
+	FILES=`hg manifest | sed -e s,^,radare2-${DATE}/,` ; \
 	cd .. && mv radare2 radare2-$${DATE} && \
 	${TAR} radare2-$${DATE}.tar.gz $${FILES} ;\
 	mv radare2-$${DATE} radare2 && \
@@ -133,4 +162,5 @@
 
 include ${MKPLUGINS}
 
-.PHONY: all clean mrproper install symstall uninstall deinstall dist shot pkgcfg r2-bindings r2-bindings-dist libr binr install-man
+.PHONY: all clean mrproper install symstall uninstall deinstall dist shot pkgcfg
+.PHONY: r2-bindings r2-bindings-dist libr binr install-man version

=== binr/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 BFX=${DESTDIR}/${BINDIR}
 LFX=${DESTDIR}/${LIBDIR}
 
-BINS=rax2 rasm2 rabin2 rahash2 radiff2 radare2 rafind2 rarc2 ranal2 rasc2
+BINS=rax2 rasm2 rabin2 rahash2 radiff2 radare2 rafind2 ranal2 rasc2 rarun2 ragg2
 #rsc2
 
 all:
@@ -17,7 +17,7 @@
 	mkdir -p ${BFX}
 	pwd
 	for a in ${BINS} ; do ${INSTALL_PROGRAM} $$a/$$a ${BFX}/$$a ; done
-	cp -f rarc2/rarc2 rarc2/rarc2-tool ${BFX}
+	#cp -f rarc2/rarc2 rarc2/rarc2-tool ${BFX}
 	# shortcut
 	-cd ${BFX} && rm -f r2 ; ln -fs radare2 r2
 
@@ -34,12 +34,12 @@
 symstall install-symlink:
 	mkdir -p ${BFX}
 	for a in ${BINS} ; do ln -fs ${PWD}/$$a/$$a ${BFX}/$$a ; done
-	ln -fs ${PWD}/rarc2/rarc2-tool ${BFX}/rarc2-tool
+	# ln -fs ${PWD}/rarc2/rarc2-tool ${BFX}/rarc2-tool
 	-ln -fs ${PFX}/bin/radare2 ${BFX}/r2
 
 deinstall uninstall:
 	for a in ${BINS} ; do rm -f ${BFX}/$$a ; done
-	rm -f ${BFX}/rarc2-tool
+	#rm -f ${BFX}/rarc2-tool
 	-rm -f ${BFX}/r2
 
 clean:

=== libr/Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 PWD=`pwd`
 
 # Libraries
-LIBLIST=util socket cons line lib io lang flags bin hash config syscall cmd
-LIBLIST+=reg asm diff anal print parse search bp sign debug fs core
+LIBLIST=util magic socket db cons line lib io lang flags bin hash config syscall
+LIBLIST+=cmd reg diff anal parse asm print search egg bp sign debug fs core th
 #DEPRECATED APIS : LIBLIST+=th crypto
 # sysproxy ... common wat du?
 
@@ -27,11 +27,11 @@
 	# TODO: Magically generate libr.pc.acr here using LIBLIST and so :)
 
 install-pkgconfig:
-	@${INSTALL_DIR} ${LFX}/pkgconfig
+	${INSTALL_DIR} ${LFX}/pkgconfig
 	for a in ../pkgcfg/*.pc ; do ${INSTALL_DATA} $$a ${LFX}/pkgconfig ; done
 
 install-includes:
-	@${INSTALL_DIR} ${IFX}/libr
+	${INSTALL_DIR} ${IFX}/libr
 	(cd include && for a in *.h ; do ${INSTALL_DATA} $$a ${IFX}/libr ; done)
 
 install-symlink:
@@ -64,8 +64,9 @@
 	  b=`echo $$a|cut -d / -f 2`; \
 	  echo " ${LFX}/$$b.${LIBVERSION}"; \
 	  ${INSTALL_LIB} $$a ${LFX}/$$b.${LIBVERSION} ; \
-	  ( cd ${LFX} ; ln -fs $$b.${LIBVERSION} $$b.0 ; ln -fs $$b.0 $$b ); \
+	  ( cd ${LFX} ; ln -fs $$b.${LIBVERSION} $$b ) ; \
 	done
+	#Linux only? ( cd ${LFX} ; ln -fs $$b.${LIBVERSION} $$b.0 ; ln -fs $$b.0 $$b )
 	# object archives
 	@for a in `find * -type f | grep -e '\.a$$' | grep -v fs/p` ; do \
 	  echo " ${LFX}/$$a"; ${INSTALL_DATA} $$a ${LFX} ; done

=== binr/rabin2/Makefile ===
BIN=rabin2
BINDEPS=r_bin r_cons r_lib r_flags r_util r_db

include ../binr.mk

ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS} -lm
LDFLAGS+=../../libr/fs/p/grub/libgrubfs.a
LDFLAGS+=../../libr/db/sdb/src/libsdb.a
ifeq ($(HAVE_LIB_MAGIC),1)
LDFLAGS+=-lmagic
endif
endif

ifeq (${HAVE_LIB_SSL},1)
CFLAGS+=${SSL_CFLAGS}
LDFLAGS+=${SSL_LDFLAGS}
endif

=== binr/radare2/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 BIN=radare2
 BINDEPS=r_core r_parse r_search r_cons r_lib r_config r_diff
-BINDEPS+=r_bin r_debug r_anal r_reg r_bp r_io r_cmd r_fs
-BINDEPS+=r_sign r_print r_lang r_asm r_syscall r_hash r_line r_socket r_flags r_util
+BINDEPS+=r_bin r_debug r_anal r_reg r_bp r_io r_cmd r_fs r_db
+BINDEPS+=r_sign r_print r_lang r_asm r_syscall r_hash r_line
+BINDEPS+=r_magic r_socket r_flags r_util r_th r_egg
 
 include ../binr.mk
 
@@ -14,12 +15,19 @@
 	sudo chown root:procmod radare2
 	sudo chmod g+s radare2
 
+ifeq ($(OSTYPE),android)
+LDFLAGS+=${DL_LIBS} -lm
+endif
 ifeq ($(WITHNONPIC),1)
 LDFLAGS+=${DL_LIBS} -lm
 LDFLAGS+=../../libr/fs/p/grub/libgrubfs.a
+LDFLAGS+=../../libr/db/sdb/src/libsdb.a
 ifeq ($(HAVE_LIB_GMP),1)
 LDFLAGS+=-lgmp
 endif
+endif
+ifeq ($(USE_LIB_MAGIC),1)
+LDFLAGS+=-lmagic
 endif
 
 ifeq ($(uname),OpenBSD)

=== binr/radiff2/Makefile ===
BIN=radiff2
BINDEPS=r_core r_diff r_config r_lib r_cons r_search r_anal
BINDEPS+=r_bin r_debug r_io r_print r_asm r_hash r_util r_fs
BINDEPS+=r_socket r_flags r_lang r_reg r_bp r_cmd r_sign r_parse
BINDEPS+=r_line r_syscall r_db r_magic r_parse r_egg

include ../binr.mk

ifeq ($(OSTYPE),android)
LDFLAGS+=${DL_LIBS} -lm
endif
ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS} -lm
LDFLAGS+=../../libr/fs/p/grub/libgrubfs.a
LDFLAGS+=../../libr/db/sdb/src/libsdb.a
ifeq ($(HAVE_LIB_GMP),1)
LDFLAGS+=-lgmp
endif
endif
ifeq ($(USE_LIB_MAGIC),1)
LDFLAGS+=-lmagic
endif

ifeq (${HAVE_LIB_SSL},1)
CFLAGS+=${SSL_CFLAGS}
LDFLAGS+=${SSL_LDFLAGS}
endif

=== binr/rafind2/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BIN=rafind2
 BINDEPS=r_search r_io r_print r_lib r_asm r_anal r_reg r_cons r_util r_syscall r_diff
-BINDEPS+=r_socket
+BINDEPS+=r_socket r_db r_parse
 
 include ../binr.mk

=== binr/ragg2/Makefile ===
BIN=ragg2
BINDEPS=r_egg r_bin r_syscall r_asm r_util r_db r_parse

include ../binr.mk

ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS}
LDFLAGS+=../../libr/db/sdb/src/libsdb.a
endif

t test:
	cd t ; ${MAKE}

.PHONY: t

=== binr/rahash2/Makefile ===
BIN=rahash2
BINDEPS=r_io r_hash r_util r_print r_socket r_asm r_cons r_anal r_lib r_syscall r_reg r_diff r_db r_parse

include ../binr.mk

ifeq ($(WITHNONPIC),1)
LDFLAGS+=-lm
endif
ifeq ($(OSTYPE),android)
LDFLAGS+=-lm
endif

=== binr/ranal2/Makefile ===
BIN=ranal2
BINDEPS=r_anal r_lib r_reg r_util r_syscall r_diff r_db

include ../binr.mk

ifeq ($(WITHNONPIC),1)
ifeq ($(OSTYPE),android)
LDFLAGS+=${DL_LIBS} -lm
else
LDFLAGS+=${DL_LIBS} -lm -lpthread
endif
LDFLAGS+=../../libr/db/sdb/src/libsdb.a
ifeq ($(HAVE_LIB_GMP),1)
LDFLAGS+=-lgmp
endif
endif

=== binr/rarun2/Makefile ===
BIN=rarun2
BINDEPS=r_util
OBJ=main.o

include ../binr.mk

=== binr/rasm2/Makefile ===
BIN=rasm2
BINDEPS=r_asm r_util r_lib r_parse

include ../binr.mk

ifeq ($(WITHNONPIC),1)
LDFLAGS+=${DL_LIBS}
endif

=== debian/changelog ===
radare2 (0.8.8-2) unstable; urgency=low

  * fix symbols file:
    r_debug_desc_plugin_native is only built for x86, x86-64 and arm
  * add patch to fix build on kFreeBSD
  * add upstream patch to fix a bug when redefining io sections

 -- Sebastian Reichel <sre@debian.org>  Fri, 04 Nov 2011 22:53:13 +0100

radare2 (0.8.8-1) unstable; urgency=low

  * new upstream release
   - fixed lintian warnings
  * update copyright information

 -- Sebastian Reichel <sre@debian.org>  Tue, 01 Nov 2011 13:03:36 +0100

=== debian/control ===
--- 
+++ 
@@ -26,27 +26,27 @@
  supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
  hash utility called rahash.
 
-Package: radare2-dbg
-Section: debug
-Architecture: any
-Depends: ${misc:Depends}, radare2 (= ${binary:Version})
-Description: free and advanced command line hexadecimal editor (debug)
- The project aims to create a complete, portable, multi-architecture,
- unix-like toolchain for reverse engineering.
- .
- It is composed by an hexadecimal editor (radare) with a wrapped IO
- layer supporting multiple backends for local/remote files, debugger
- (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
- for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
- scripting facilities. A bindiffer named radiff, base converter (rax),
- shellcode development helper (rasc), a binary information extracter
- supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
- hash utility called rahash.
- .
- This package provides the debug symbols for the applications from the
- radare2 suite.
+#Package: radare2-dbg
+#Section: debug
+#Architecture: any
+#Depends: ${misc:Depends}, radare2 (= ${binary:Version})
+#Description: free and advanced command line hexadecimal editor (debug)
+# The project aims to create a complete, portable, multi-architecture,
+# unix-like toolchain for reverse engineering.
+# .
+# It is composed by an hexadecimal editor (radare) with a wrapped IO
+# layer supporting multiple backends for local/remote files, debugger
+# (osx,bsd,linux,w32), stream analyzer, assembler/disassembler (rasm)
+# for x86,arm,ppc,m68k,java,msil,sparc code analysis modules and
+# scripting facilities. A bindiffer named radiff, base converter (rax),
+# shellcode development helper (rasc), a binary information extracter
+# supporting (pe, mach0, elf, class, ...) named rabin, and a block-based
+# hash utility called rahash.
+# .
+# This package provides the debug symbols for the applications from the
+# radare2 suite.
 
-Package: libradare2-0.8
+Package: libradare2-0.8.8
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,7 +70,7 @@
 Package: libradare2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libradare2-0.8 (= ${binary:Version})
+Depends: ${misc:Depends}, libradare2-0.8.8 (= ${binary:Version}), libmagic-dev
 Description: devel files from the radare2 suite
  The project aims to create a complete, portable, multi-architecture,
  unix-like toolchain for reverse engineering.
@@ -86,11 +86,11 @@
  .
  This package provides the devel files from radare2.
 
-Package: libradare2-0.8-dbg
+Package: libradare2-0.8.8-dbg
 Multi-Arch: same
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, libradare2-0.8
+Depends: ${misc:Depends}, libradare2-0.8.8 (= ${binary:Version})
 Description: debug symbols for libraries from radare suite
  The project aims to create a complete, portable, multi-architecture,
  unix-like toolchain for reverse engineering.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEBUG_SUPPORT=0
-EXTRA_FLAGS=
+EXTRA_FLAGS=--with-sysmagic --without-ssl
 
 ifeq (arm,$(DEB_HOST_ARCH_CPU))
 DEBUG_SUPPORT=1
@@ -13,6 +13,10 @@
 
 ifeq (i386,$(DEB_HOST_ARCH_CPU))
 DEBUG_SUPPORT=1
+endif
+
+ifeq (hurd,$(DEB_HOST_ARCH_OS))
+EXTRA_FLAGS+=--with-ostype=gnulinux
 endif
 
 ifeq (0,$(DEBUG_SUPPORT))
@@ -29,8 +33,8 @@
 	dh_makeshlibs --exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/radare2/
 
 override_dh_strip:
-	dh_strip -pradare2 --dbg-package=radare2-dbg
-	dh_strip -plibradare2-0.8 --dbg-package=libradare2-0.8-dbg
+	dh_strip -pradare2 #--dbg-package=radare2-dbg
+	dh_strip -plibradare2-0.8.8 --dbg-package=libradare2-0.8.8-dbg
 
 override_dh_auto_clean:
 	touch config-user.mk libr/config.mk

## radare2 0.9

=== Makefile ===
--- 
+++ 
@@ -54,9 +54,16 @@
 	for a in `find libr | grep -e dll$$`; do cp $$a w32dist ; done
 	for a in `find binr | grep -e exe$$`; do cp $$a w32dist ; done
 	rm w32dist/plugin.dll
+	mkdir -p w32dist/radare2/${VERSION}/magic
+	cp -f libr/magic/d/default/* w32dist/radare2/${VERSION}/magic
 	mkdir -p w32dist/radare2/${VERSION}/syscall
 	cp -f libr/syscall/d/*.sdb w32dist/radare2/${VERSION}/syscall
+	mkdir -p w32dist/radare2/${VERSION}/opcodes
+	cp -f libr/asm/d/*.sdb w32dist/radare2/${VERSION}/opcodes
 	mkdir -p w32dist/share/doc/radare2
+	mkdir -p w32dist/include/libr
+	cp libr/include/*.h w32dist/include/libr
+	#mkdir -p w32dist/include/libr/sflib
 	cp -f doc/fortunes w32dist/share/doc/radare2
 	mv w32dist radare2-w32-${VERSION}
 	rm -f radare2-w32-${VERSION}.zip 
@@ -101,11 +108,14 @@
 	${INSTALL_DIR} ${PFX}/share/doc/radare2
 	cd doc ; for a in * ; do ln -fs ${PWD}/$$a ${PFX}/share/doc/radare2 ; done
 
+DATADIRS=libr/asm/d libr/syscall/d libr/magic/d
+#binr/ragg2/d
 install: install-doc install-man
 	cd libr && ${MAKE} install PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} install PREFIX=${PREFIX} DESTDIR=${DESTDIR}
-	cd libr/syscall/d ; ${MAKE} install PREFIX=${PREFIX} LIBDIR=${LIBDIR} DESTDIR=${DESTDIR}
-	cd libr/magic ; ${MAKE} install-data LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	for a in ${DATADIRS} ; do \
+	(cd $$a ; ${MAKE} install LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR} ); \
+	done
 
 install-pkgconfig-symlink:
 	@${INSTALL_DIR} ${DESTDIR}/${LIBDIR}/pkgconfig
@@ -114,8 +124,9 @@
 symstall install-symlink: install-man-symlink install-doc-symlink install-pkgconfig-symlink
 	cd libr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
 	cd binr && ${MAKE} install-symlink PREFIX=${PREFIX} DESTDIR=${DESTDIR}
-	cd libr/syscall/d ; ${MAKE} install-symlink LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
-	cd libr/magic ; ${MAKE} install-symlink-data LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR}
+	for a in ${DATADIRS} ; do \
+	(cd $$a ; echo $$a ; ${MAKE} install-symlink LIBDIR=${LIBDIR} PREFIX=${PREFIX} DESTDIR=${DESTDIR} ); \
+	done
 
 deinstall uninstall:
 	cd libr && ${MAKE} uninstall PARENT=1 PREFIX=${PREFIX} DESTDIR=${DESTDIR}
@@ -126,7 +137,22 @@
 	@echo
 
 purge:
-	rm -rf ${DESTDIR}/${LIBDIR}/libr_*
+	rm -f ${DESTDIR}/${BINDIR}/r2
+	rm -f ${DESTDIR}/${BINDIR}/radare2
+	rm -f ${DESTDIR}/${BINDIR}/rabin2
+	rm -f ${DESTDIR}/${BINDIR}/rafind2
+	rm -f ${DESTDIR}/${BINDIR}/ranal2
+	rm -f ${DESTDIR}/${BINDIR}/rax2
+	rm -f ${DESTDIR}/${BINDIR}/rsc2
+	rm -f ${DESTDIR}/${BINDIR}/rasm2
+	rm -f ${DESTDIR}/${BINDIR}/rarc2
+	rm -f ${DESTDIR}/${BINDIR}/rahash2
+	rm -f ${DESTDIR}/${BINDIR}/ragg2
+	rm -f ${DESTDIR}/${BINDIR}/ragg2-cc
+	rm -f ${DESTDIR}/${BINDIR}/rarun2
+	rm -f ${DESTDIR}/${BINDIR}/rasc2
+	rm -f ${DESTDIR}/${BINDIR}/radiff2
+	rm -f ${DESTDIR}/${LIBDIR}/libr_*
 	rm -rf ${DESTDIR}/${LIBDIR}/radare2
 	rm -rf ${DESTDIR}/${INCLUDEDIR}/libr
 	cd man ; for a in *.1 ; do rm -f ${MDR}/man1/$$a ; done

=== binr/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 BFX=${DESTDIR}/${BINDIR}
 LFX=${DESTDIR}/${LIBDIR}
 
-BINS=rax2 rasm2 rabin2 rahash2 radiff2 radare2 rafind2 ranal2 rasc2 rarun2 ragg2
+BINS=rax2 rasm2 rabin2 rahash2 radiff2 radare2 rafind2 ranal2 rarun2 ragg2
 #rsc2
 
 all:
@@ -17,6 +17,7 @@
 	mkdir -p ${BFX}
 	pwd
 	for a in ${BINS} ; do ${INSTALL_PROGRAM} $$a/$$a ${BFX}/$$a ; done
+	${INSTALL_SCRIPT} ragg2/ragg2-cc ${BFX}/ragg2-cc
 	#cp -f rarc2/rarc2 rarc2/rarc2-tool ${BFX}
 	# shortcut
 	-cd ${BFX} && rm -f r2 ; ln -fs radare2 r2
@@ -34,7 +35,7 @@
 symstall install-symlink:
 	mkdir -p ${BFX}
 	for a in ${BINS} ; do ln -fs ${PWD}/$$a/$$a ${BFX}/$$a ; done
-	# ln -fs ${PWD}/rarc2/rarc2-tool ${BFX}/rarc2-tool
+	ln -fs ${PWD}/ragg2/ragg2-cc ${BFX}/ragg2-cc
 	-ln -fs ${PFX}/bin/radare2 ${BFX}/r2
 
 deinstall uninstall:

=== doc.sw/Makefile ===
# http://nibble.develsec.org/sw.cgi/projects/sw.md

all:
	PATH=$$PWD/sw:$${PATH} sw.gen site
	md5sum site.static/*/*
	for a in `find site.static/ -type d` ; do cp style.css $$a ; done

sync:
	rsync -avz site.static/* radare.org:/srv/http/radareorg/doc/sw/

clean:
	rm -rf site.static

=== libr/Makefile ===
--- 
+++ 
@@ -33,6 +33,13 @@
 install-includes:
 	${INSTALL_DIR} ${IFX}/libr
 	(cd include && for a in *.h ; do ${INSTALL_DATA} $$a ${IFX}/libr ; done)
+	${INSTALL_DIR} ${IFX}/libr/sflib
+	(cd include/sflib && for a in * ; do \
+		${INSTALL_DIR} ${IFX}/libr/sflib/$$a ; \
+		for b in $$a/*.h ; do \
+			${INSTALL_DATA} $$b ${IFX}/libr/sflib/$$b ; \
+		done ; \
+	done)
 
 install-symlink:
 	mkdir -p ${PFX}/bin

=== macports/Makefile ===
VERSION=0.8.6
SRCFILE=/opt/local/etc/macports/sources.conf

all:
	sudo port pkg radare2
	zip -r radare2-${VERSION}.pkg.zip security/radare2/radare2-${VERSION}.pkg

setup:
	[ -z "`grep -v '${PWD}' ${SRCFILE}`" ] && \
		echo "file://${PWD}" >> ${SRCFILE}
	portindex

=== maemo/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # These fields are used to build the control file.
 PACKAGE = radare2
-VERSION = 0.8.1
+VERSION = 0.8.5
 ARCH = armel
 SECTION = user/shell
 PRIORITY = optional

=== test/Makefile ===
T=asm echo write undo redo math

all: ${T}

${T}:
	@cd t ; ./$@
	@#@cd t ; for a in ${T} ; do ./$$a ; done

clean:
	rm -f t/out.* t/rad.*

.PHONY: all ${T} clean

=== binr/rabin2/Makefile ===
BIN=rabin2
BINDEPS=r_lib r_magic r_core r_db r_bin r_egg r_cons
BINDEPS+=r_config r_line r_io r_cmd r_print r_flags r_asm
BINDEPS+=r_debug r_hash r_lang r_anal r_parse r_bp r_reg
BINDEPS+=r_search r_syscall r_sign r_diff r_socket r_fs r_magic r_util

include ../binr.mk

=== binr/radare2/Makefile ===
BIN=radare2
BINDEPS=r_core r_parse r_search r_cons r_lib r_config
BINDEPS+=r_bin r_debug r_anal r_diff r_reg r_bp r_io r_cmd r_fs
BINDEPS+=r_sign r_print r_lang r_asm r_syscall r_db r_hash r_line
BINDEPS+=r_magic r_socket r_flags r_util r_th r_egg

include ../binr.mk

sign:
	ldid -Sradare2.xml radare2

osxsign:
	${CC} radare2.o ${CFLAGS} ${LDFLAGS} -sectcreate __TEXT __info_plist ./Info.plist -o radare2 -framework Security -framework CoreFoundation
	codesign -dvvv -s radare2 ./radare2
	sudo chown root:procmod radare2
	sudo chmod g+s radare2

ifeq ($(OSTYPE),android)
LDFLAGS+=${DL_LIBS} -lm
endif

=== binr/radiff2/Makefile ===
BIN=radiff2
BINDEPS=r_core r_diff r_config r_lib r_cons r_search r_anal
BINDEPS+=r_bin r_debug r_io r_print r_asm r_hash r_fs
BINDEPS+=r_socket r_flags r_lang r_reg r_bp r_cmd r_sign r_parse
BINDEPS+=r_line r_syscall r_db r_magic r_util r_parse r_egg

include ../binr.mk

ifeq ($(OSTYPE),android)
LDFLAGS+=${DL_LIBS} -lm
endif

=== binr/rafind2/Makefile ===
BIN=rafind2
BINDEPS=r_search r_io r_print r_lib r_asm r_anal r_reg r_cons r_util r_syscall r_diff
BINDEPS+=r_socket r_db r_parse

include ../binr.mk

=== binr/ragg2/Makefile ===
BIN=ragg2
BINDEPS=r_egg r_bin r_syscall r_asm r_db r_util r_parse

include ../binr.mk

t test:
	cd t ; ${MAKE}

.PHONY: t

=== debian/changelog ===
radare2 (0.9-3) unstable; urgency=low

  * Add Patch from Julian Taylor to fix FTBFS when
    building using ld --as-needed (Closes: #653873)

 -- Sebastian Reichel <sre@debian.org>  Sat, 31 Dec 2011 20:43:17 +0100

radare2 (0.9-2) unstable; urgency=low

  * readd fix in symbols file:
    r_debug_desc_plugin_native is only built for x86, x86-64 and arm

 -- Sebastian Reichel <sre@debian.org>  Tue, 06 Dec 2011 14:29:09 +0100

radare2 (0.9-1) unstable; urgency=low

  * New upstream release
   - automatic hurd detection
  * radare2 now recommends libradare2-dev
   - header files are used by ragg2-cc

 -- Sebastian Reichel <sre@debian.org>  Tue, 06 Dec 2011 01:36:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,10 +15,6 @@
 DEBUG_SUPPORT=1
 endif
 
-ifeq (hurd,$(DEB_HOST_ARCH_OS))
-EXTRA_FLAGS+=--with-ostype=gnulinux
-endif
-
 ifeq (0,$(DEBUG_SUPPORT))
 EXTRA_FLAGS+=--without-debugger
 endif
@@ -34,7 +30,7 @@
 
 override_dh_strip:
 	dh_strip -pradare2 #--dbg-package=radare2-dbg
-	dh_strip -plibradare2-0.8.8 --dbg-package=libradare2-0.8.8-dbg
+	dh_strip -plibradare2-0.9 --dbg-package=libradare2-0.9-dbg
 
 override_dh_auto_clean:
 	touch config-user.mk libr/config.mk

=== debian/watch ===
version=3
http://radare.org/get/radare2-([\d\.]+)\.tar\.gz
